Automapping
curl --request POST \
--url https://api.realtimelca.com/rest/api/Mapping/AutoMap \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mostFrequent": true,
"branchName": "thom-ass",
"epdIdUnitValuePairs": {},
"MaterialMappingErrorsToIgnore": []
}
'import requests
url = "https://api.realtimelca.com/rest/api/Mapping/AutoMap"
payload = {
"mostFrequent": True,
"branchName": "thom-ass",
"epdIdUnitValuePairs": {},
"MaterialMappingErrorsToIgnore": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mostFrequent: true,
branchName: 'thom-ass',
epdIdUnitValuePairs: {},
MaterialMappingErrorsToIgnore: []
})
};
fetch('https://api.realtimelca.com/rest/api/Mapping/AutoMap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Project
Automapping
Automatically maps materials for a specific building project using the AutoMap engine. This endpoint analyses the materials in the specified project branch and attempts to assign the most appropriate EPD (Environmental Product Declaration) mappings based on the provided configuration.
POST
/
Mapping
/
AutoMap
Automapping
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
application/json
Response
default
Response schema not yet documented in the upstream Postman spec.
⌘I

